use telers::{errors::SessionErrorKind, methods::get_chat_administrators, types::ChatMember, Bot};

#[inline]
pub async fn get_all_admins(bot: &Bot, chat_id: i64) -> Result<Vec<ChatMember>, SessionErrorKind> {
    bot.send(get_chat_administrators::GetChatAdministrators::new(chat_id))
        .await
}
